Bug 134063 - FILEOPEN DOCX Tabs at the beginning of line no longer appear
Summary: FILEOPEN DOCX Tabs at the beginning of line no longer appear
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2020-06-17 09:21 UTC by NISZ LibreOffice Team
Modified: 2020-07-01 07:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer (141.84 KB, image/png)
2020-06-17 09:21 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-17 09:21:26 UTC
Created attachment 162099 [details]
Screenshot of the original document side by side in Word and Writer

The attachment #113641 [details] contains lines that start with a tab character.
These tabs are no longer rendered when the file is opened, I had to put a space at the beginning of the lines to make them appear.

Steps to reproduce:
    1. Open attachment #113641 [details]

Actual results:
Bold lines do not start with a visible tab.

Expected results:
Bold lines should start with a visible tab.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x86)
Build ID: a3c8ea5e644ca2fc04de9f01ba9f8ace47f520f0
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

But not in:
Version: 7.0.0.0.beta1+ (x64)
Build ID: 2891e91a513520d68ea2b8c59c14335861a15253
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
from bibisect-win64-7.0

Bibisected using bibisect-win64-7.0 to:
e7f029b7ca96f76183c6cf05a09ecca046d996f9 is the first bad commit
commit e7f029b7ca96f76183c6cf05a09ecca046d996f9
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Jun 11 07:08:11 2020 -0700

https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=1aa9a2ac5341d457bbdc00b987285203d11333f1..b5cb211f80fd87c109633232cf340ac7969c8648

Which is a rather large range based on the commit message of e7f029b7ca96f76183c6cf05a09ecca046d996f9
Comment 1 NISZ LibreOffice Team 2020-06-17 09:23:21 UTC
Example file is from bug #89621
Comment 2 Gabor Kelemen 2020-06-17 09:41:51 UTC
More luck with bibisect-linux-64-7.1:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d2e428d1abb9f2907c0b87d55830e8742f8209b9

author	Vasily Melenchuk <vasily.melenchuk@cib.de>	2020-05-29 14:25:04 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2020-06-05 01:11:11 +0200

tdf#83309: docx import: allow for lists tabstop at zero position

Adding CC to: Vasily Melenchuk
Comment 3 Vasily Melenchuk (CIB) 2020-06-17 10:38:20 UTC
Reproduced. Yes, it is a regression after tdf#83309 changes to tabs.
Comment 4 Commit Notification 2020-06-17 15:02:09 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/02c0e015f84ddcc6fa94433f603ef89f358a0391

tdf#134063: sw: redesigned support for tab at zero position

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-06-18 17:24:55 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/94269e6cb2a0566f67bcd3a8499489de90ffd39f

tdf#134063: sw: redesigned support for tab at zero position

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-06-30 08:58:33 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 63f3485b57904de4e77c04f5759e6563fcce6748
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Vasily, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-07-01 07:58:51 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/28962153ca3826ca2aba626f8cc8ff9c6dab9eab

tdf#134063: sw: redesigned support for tab at zero position

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.